Page MenuHomePhabricator

Document how to restrict notifications received
Closed, ResolvedPublic

Description

Document which notifications are blocked (T150419#3396670) and how to block notifications.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 4 2017, 9:05 AM

@Trizek-WMF — By documentation, do you mean MediaWiki.org technical documentation, or Help page documentation?

Trizek-WMF added a comment.EditedJul 7 2017, 7:19 AM

Help page documentation, on Help: namespace on mediawiki.org.

Gotcha. Will do!

jrbs raised the priority of this task from High to Needs Triage.Jul 7 2017, 10:37 PM
jrbs moved this task from Backlog to Security/Abuse on the Trust-and-Safety board.
jrbs triaged this task as High priority.Jul 8 2017, 1:27 AM
jrbs added a subscriber: jrbs.

(Sorry about that - Phab board weirdness :)

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJul 12 2017, 8:48 PM

It has been suggested to announce that users can restrict who can send them notifications in Tech News' next issue. It is more constructive to introduce a new feature with documentation, even a basic one. Is it possible to have a simple step-by-step page ready for Thursday?

I can help to mark it for translation and ping the translators of needed. Just reassign the task to me when the text is done.

Yes, I will get this done by end of day tomorrow. Should be quick to do.

There will likely be a few small tweaks (see the open sub-tasks) before this hits production.

I'm still new to the translate tag (I don't want to break anything) so could someone please add this section to https://www.mediawiki.org/wiki/Help:Notifications#Preferences_and_settings

=== Muting users ===
You can mute on-site notifications from individual users by typing their username into the box at the bottom of the 'Notifications' tab of your user preferences.  

You will still receive notifications if a muted user writes or participates on your user talk or flow page or reviews a page you have created.

The muted user will still receive a 'successful mention' notification if they've enabled that preference. A user's mute list is private from all other users on the wiki, including administrators or any other functionary.

Please make any copy edits you see fit. And please share the diff so I can see how to add something to a page that uses the translate tag. Thank you! 🙂

Trizek-WMF closed this task as Resolved.EditedJul 19 2017, 8:11 AM

Please make any copy edits you see fit. And please share the diff so I can see how to add something to a page that uses the translate tag. Thank you! 🙂

Well, in your case, copy-paste your text between two translate tags was enough to mark it for translation. I've only changed a few things:

  • separated the title from the first sentence, to have the title as a separate translation unit
  • rephrased the user talk (page) and Flow page part
  • added a translatable link to the preferences (it will be shown as $prefs in the translation interface)

The page has now been marked for translation. You can edit it any time if needed; don't be afraid to break it, it is a wiki. :)

Thank you very much!

Qgil reassigned this task from Trizek-WMF to TBolliger.Oct 6 2017, 2:26 PM